<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.publish.ivy Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.publish.ivy Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/plugins/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.api.publish.ivy</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/GradleException.html" title="class in org.gradle.api"><span class="strong">GradleException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api"><span class="strong">InvalidUserDataException</span></a>
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/InvalidIvyPublicationException.html" title="class in org.gradle.api.publish.ivy"><span class="strong">InvalidIvyPublicationException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyArtifact</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.util.Configurable&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifactSet.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyArtifactSet</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifactSet.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyArtifactSet</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyDependency.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyDependency</span></a></li>
<li type="circle">org.gradle.api.artifacts.ivy.<a href="../../../../../org/gradle/api/artifacts/ivy/IvyExtraInfo.html" title="interface in org.gradle.api.artifacts.ivy"><span class="strong">IvyExtraInfo</span></a>
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyExtraInfoSpec.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyExtraInfoSpec</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyModuleDescriptorSpec.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyModuleDescriptorSpec</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyConfiguration.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyConfiguration</span></a></li>
<li type="circle">org.gradle.api.publish.<a href="../../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish"><span class="strong">Publication</span></a>
<ul>
<li type="circle">org.gradle.api.publish.ivy.<a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">IvyPublication</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/plugins/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
